TemplateTestBase (Velocity 1.4 API)
Keywords: org.apache.velocity.test.TemplateTestBase interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.test
Interface TemplateTestBase

All Known Implementing Classes:
  ContextSafetyTestCase, EncodingTestCase, InlineScopeVMTestCase, TemplateTestCase, TemplateTestSuite, VelocityAppTestCase

public interface TemplateTestBase

This is a base interface that contains a bunch of static final strings that are of use when testing templates.

Version:
  $Id: TemplateTestBase.java,v 1.2.14.1 2004/03/03 23:23:04 geirm Exp $
Author:
  Jon S. Stevens

Field Summary
`static java.lang.String` | `CMP_FILE_EXT` Comparison file extension.
`static java.lang.String` | `COMPARE_DIR` Results relative to the build directory.
`static java.lang.String` | `FILE_RESOURCE_LOADER_PATH` Path for templates.
`static java.lang.String` | `RESULT_DIR` Results relative to the build directory.
`static java.lang.String` | `RESULT_FILE_EXT` Comparison file extension.
`static java.lang.String` | `TEST_CASE_PROPERTIES` Properties file that lists which template tests to run.
`static java.lang.String` | `TMPL_FILE_EXT` VTL file extension.

Field Detail

### TMPL_FILE_EXT

    public static final java.lang.String TMPL_FILE_EXT

  VTL file extension.

  See Also:
    Constant Field Values

### CMP_FILE_EXT

    public static final java.lang.String CMP_FILE_EXT

  Comparison file extension.

  See Also:
    Constant Field Values

### RESULT_FILE_EXT

    public static final java.lang.String RESULT_FILE_EXT

  Comparison file extension.

  See Also:
    Constant Field Values

### FILE_RESOURCE_LOADER_PATH

    public static final java.lang.String FILE_RESOURCE_LOADER_PATH

  Path for templates. This property will override the value in the default velocity properties file.

  See Also:
    Constant Field Values

### TEST_CASE_PROPERTIES

    public static final java.lang.String TEST_CASE_PROPERTIES

  Properties file that lists which template tests to run.

  See Also:
    Constant Field Values

### RESULT_DIR

    public static final java.lang.String RESULT_DIR

  Results relative to the build directory.

  See Also:
    Constant Field Values

### COMPARE_DIR

    public static final java.lang.String COMPARE_DIR

  Results relative to the build directory.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.